import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";
import * as path from "path";
import svgr from "vite-plugin-svgr";

export default defineConfig({
  plugins: [react(), svgr()],
  resolve: {
    alias: {
      "@mt/common-types": path.resolve(__dirname, "./src/preview/types"),
      "@mt/components": path.resolve(__dirname, "./src/preview/components"),
      "@mt/i18n": path.resolve(__dirname, "./src/preview/i18n"),
      "@mt/widgets": path.resolve(__dirname, "./src/preview/widgets"),
      "@mt/utils": path.resolve(__dirname, "./src/preview/utils"),
    },
  },
});
